{
    template:'${tmpl}',
        data
:

    function () {
        return {
            dialogFormVisible: false,
            logo: "",
            qianru:true,
            a: true,
            b: false,
            c: false,
            c2: false,
            c3: false,
            d: false,
            e: false,
            f: false,
            g: false,
            h: false,
            x: false,
            fff: false,
            xssb_no_ncl: false,
            jqcx_no_ncl: false,
            zcr_no_ncl: false,
            img: false,
            fuwu: false,
            fkey: 0,
            xkey: 0,
            total: 0,
            size: 20,
            page: 1,
            mark: "",
            xssb: "",
            jqcx: "",
            zch: "",
            zcr: "",
            nclfuwu: "",
            nclfuwudata: [],
            activeName: 'second',
            tabPosition: 'top',
            tabPosition2: 'bottom',
            tmdata: {},
            imagecount: "0",
            imageupurl: "",
            tmRegistNums: [],
            queryimagedata: [],
            querydata: [],
            xssb_unregistered_Ncl: [],
            jqcx_unregistered_Ncl: [],
            zcr_unregistered_Ncl: [],
            tmRegistNumsAll: [],
            sqlbdata: [],
            flztdata: [],
            sqnfdata: [],
            imagesqlbdata: [],
            imageflztdata: [],
            imagesqnfdata: [],
            sqlbtab: "",
            sqlbtabkey: "",
            sqlbtabkeycount: "",
            sqlbnumber: "",
            sqlbindex: 0,
            flzttab: "",
            flzttabkey: "",
            flzttabkeycount: "",
            flztnumber: "",
            flztindex: 0,
            sqnftabkey: "",
            sqnftabkeycount: "",
            sqnfnumber: "",
            sqnfindex: 0,
            select: "",
            nclOptions: ["01类 化学原料", "02类 颜料油漆", "03类 日化用品", "04类 燃料油脂", "05类 医药", "06类 金属材料", "07类 机械设备", "08类 手工器械", "09类 科学仪器",
                "10类 医疗器械", "11类 灯具空调", "12类 运输工具", "13类 军火烟火", "14类 珠宝钟表", "15类 乐器", "16类 办公用品", "17类 橡胶制品", "18类 皮革皮具", "19类 建筑材料", "20类 家具", "21类 厨房洁具", "22类 绳网袋蓬", "23类 纱线丝", "24类 布料床单",
                "25类 服装鞋帽", "26类 钮扣拉链", "27类 地毯席垫", "28类 健身器材", "29类 食品", "30类 方便食品", "31类 农林生鲜", "32类 啤酒饮料", "33类 酒", "34类 烟草烟具", "35类 广告销售", "36类 金融物管", "37类 建筑修理", "38类 通讯服务",
                "39类 运输贮藏", "40类 材料加工", "41类 教育娱乐", "42类 科技服务", "43类 餐饮住宿", "44类 医疗园艺", "45类 社会服务"
            ],
            checkAll: false,
            checkxAll: true,
            checkedNcl: [],
            checkedXcl: [],
            ncl: ["01类 化学原料", "02类 颜料油漆", "03类 日化用品", "04类 燃料油脂", "05类 医药", "06类 金属材料", "07类 机械设备", "08类 手工器械", "09类 科学仪器",
                "10类 医疗器械", "11类 灯具空调", "12类 运输工具", "13类 军火烟火", "14类 珠宝钟表", "15类 乐器", "16类 办公用品", "17类 橡胶制品", "18类 皮革皮具", "19类 建筑材料", "20类 家具", "21类 厨房洁具", "22类 绳网袋蓬", "23类 纱线丝", "24类 布料床单",
                "25类 服装鞋帽", "26类 钮扣拉链", "27类 地毯席垫", "28类 健身器材", "29类 食品", "30类 方便食品", "31类 农林生鲜", "32类 啤酒饮料", "33类 酒", "34类 烟草烟具", "35类 广告销售", "36类 金融物管", "37类 建筑修理", "38类 通讯服务",
                "39类 运输贮藏", "40类 材料加工", "41类 教育娱乐", "42类 科技服务", "43类 餐饮住宿", "44类 医疗园艺", "45类 社会服务"
            ],
            nclOptionNumbers: [
                "01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20", "21", "22", "23", "24",
                "25", "26", "27", "28", "29", "30", "31", "32", "33", "34", "35", "36", "37", "38", "39", "40", "41", "42", "43", "44", "45"
            ],
            nclNum: [
                "01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20", "21", "22", "23", "24",
                "25", "26", "27", "28", "29", "30", "31", "32", "33", "34", "35", "36", "37", "38", "39", "40", "41", "42", "43", "44", "45"
            ],
            checkAllNclNum: false,
            checkedNclNum: [],
            isnumIndeterminate: false,
            xcl: [],
            xclOptions: [],
            isIndeterminate: false,
            isXIndeterminate: false,
            sbtjOptions: ["近似", "变字", "拼音", "同义词", "形近字", "换序", "包含该商标"],
            checkAllSbtj: true,
            checkedSbtj: ["近似", "变字", "拼音", "同义词", "形近字", "换序", "包含该商标"],
            sbtj: ["近似", "变字", "拼音", "同义词", "形近字", "换序", "包含该商标"],
            isIndeterminateSbtj: false,
            action: "",
            imagedata: {},
            imageUrl: "",
            filename: "",
            disabled: true,
            downdisabled: true,
            accept: "image/jpeg,image/png",
            tag: {name: '', type: ''},
            downloadTimes: 1, /* 设置检查重试次数变量 */
            exportColumnDialog: false, /* */
            code: '', /* 下载文件的code值 */
            headers: [],
            allColumns: [],
            exportColumns: [],
            downloading: false,
            restaurants: [],
            aitmrate: false,
            bradata: {},
            ainclonerate: [],
            detaildata: "",
            nclexist: [],
            nclnotexist: [],
            user: "",
            sbmc: "",
            linkurl: "",
            showMask:false,
            companyInfo:{},
            tmmonitzcr:'',
            tminput:''
        };
    }

,
    created: function() {
        $("#byctitle").text("标眼查");
        var url=window.location.href;
        if(url.indexOf("openbycsearch")>=0){
          this.qianru=false;
        }
        /*页面加载时使用*/
        this.tmmonitzcr=this.$router.history.current.query.tmmonitzcr;
        if(this.tmmonitzcr){
          console.log("oooooooooooooooooooooooooooooooooooooooooooooooooooooooo");
          console.log(this.tmmonitzcr);
          this.mark=this.tmmonitzcr;
          this.a = false;
          this.b = true;
          this.c3 = true;
          this.d = true;
          this.e = true;
          this.g = false;
          this.h = true;
          this.activeName="fourth";
          if (this.activeName == "fourth") {
              this.e = true;
              this.d = true;
              this.g = false;
              this.h = true;
              this.c = false;
              this.c2 = false;
              this.c3 = true;
              this.zcr_no_ncl = false;
              this.jqcx_no_ncl = false;
              this.xssb_no_ncl = false;
              this.x = false;
              this.img = false;
              this.fuwu = false;
              this.detaildata = "";
              if (this.mark != "") {
                  this.zcrsearchClick();
              } else {
                  this.sqlbdata = [];
                  this.flztdata = [];
                  this.sqnfdata = [];
                  this.sqlbtab = "";
                  this.flzttab = "";
                  this.sqnftabkey = "";
                  this.total = 0;
                  this.querydata = [];
              }
          }
        }
        console.log("qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq");
        console.log(this.$router.history.current.query);
        this.tminput=this.$router.history.current.query.tminput;
        if(this.tminput){
          console.log("oooooooooooooooooooooooooooooooooooooooooooooooooooooooo");
          console.log(this.tminput);
          this.mark=decodeURIComponent(this.tminput);
          this.indexsearch();
        }



    },
    methods:{
        changedatashow1()
        {
            this.c = true;
            this.c2 = false;
            this.c3 = false;
        }
    ,
        changedatashow2()
        {
            this.c = false;
            this.c2 = true;
            this.c3 = false;
        }
    ,
        changedatashow3()
        {
            this.c = false;
            this.c2 = false;
            this.c3 = true;
            if (this.querydata.length > 0) {
                this.handle2(this.querydata[0]);
            } else {
                this.detaildata = "";
            }
        }
    ,
        sqlbclick(val)
        {
            this.sqlbtab = val.keyvalue;
            this.sqlbtabkey = val.key;
            this.sqlbnumber = val.key;
            console.log('----------------sqlb------------------');
            console.log(val);
            var obj = {
                code: val.key
            };
            var that = this;
            this.$root.postReq("/web/bytmqueryCtl/gettwoNcl", obj).then(function (d) {
                console.log(d.data);
                that.xcl = d.data.rows;
                that.xclOptions = d.data.rows;
                that.checkedXcl = [];
                that.checkxAll = false;
                if (that.activeName == "first") {
                    that.size = 20;
                    that.page = 1;
                    that.xssbsearch();
                }
                if (that.activeName == "second") {
                    that.size = 20;
                    that.page = 1;
                    that.jqcxsearch();
                }
                if (that.activeName == "third") {
                    that.size = 20;
                    that.page = 1;
                    that.zchsearch();
                }
                if (that.activeName == "fourth") {
                    that.size = 20;
                    that.page = 1;
                    that.zcrsearch();
                }
                if (that.activeName == "five") {
                    that.sqlbtabkeycount = val.keycount;
                    that.$refs.flowlayout.$refs.pagerRef.pageInfo.total = val.keycount;
                    that.pageChanged(18, 1);
                }

            });
        }
    ,
        flztclick(val)
        {
            console.log('----------------flzt------------------');
            console.log(val);
            this.flzttab = val.keyvalue;
            this.flzttabkey = val.key;
            this.flztnumber = val.key;
            if (this.activeName == "first") {
                this.size = 20;
                this.page = 1;
                this.xssbsearch();
            }
            if (this.activeName == "second") {
                this.size = 20;
                this.page = 1;
                this.jqcxsearch();
            }
            if (this.activeName == "third") {
                this.size = 20;
                this.page = 1;
                this.zchsearch();
            }
            if (this.activeName == "fourth") {
                this.size = 20;
                this.page = 1;
                this.zcrsearch();
            }
            if (this.activeName == "five") {
                this.flzttabkeycount = val.keycount;
                this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = val.keycount;
                this.pageChanged(18, 1);
            }

        }
    ,
        sqnfclick(val)
        {
            console.log('----------------sqnf------------------');
            console.log(val);
            this.sqnftabkey = String(val.key);
            this.sqnfnumber = val.key;
            if (this.activeName == "first") {
                this.size = 20;
                this.page = 1;
                this.xssbsearch();
            }
            if (this.activeName == "second") {
                this.size = 20;
                this.page = 1;
                this.jqcxsearch();
            }
            if (this.activeName == "third") {
                this.size = 20;
                this.page = 1;
                this.zchsearch();
            }
            if (this.activeName == "fourth") {
                this.size = 20;
                this.page = 1;
                this.zcrsearch();
            }
            if (this.activeName == "five") {
                this.sqnftabkeycount = val.keycount;
                this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = val.keycount;
                this.pageChanged(18, 1);
            }

        }
    ,
        sqlbtabClose(tag)
        {
            /*this.dynamicTags.splice(this.dynamicTags.indexOf(tag), 1);*/
            this.sqlbtab = "";
            console.log(this.sqlbtabkey);
            this.sqlbtabkey = "";
            this.x = false;
            this.checkedXcl = [];
            this.sqlbnumber = "";
            if (this.activeName == "first") {
                this.size = 20;
                this.page = 1;
                this.xssbsearch();
            }
            if (this.activeName == "second") {
                this.size = 20;
                this.page = 1;
                this.jqcxsearch();
            }
            if (this.activeName == "third") {
                this.size = 20;
                this.page = 1;
                this.zchsearch();
            }
            if (this.activeName == "fourth") {
                this.size = 20;
                this.page = 1;
                this.zcrsearch();
            }
            if (this.activeName == "five") {
                this.sqlbtabkeycount = "";
                this.imagecount = this.tmRegistNumsAll.length;
                if (this.sqlbtabkey == "" && this.flzttabkey == "" && this.sqnftabkey == "") {
                    this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = this.imagecount;
                }
                if (this.flzttabkey != "" && this.sqnftabkey == "") {
                    this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = this.flzttabkeycount;
                }
                if (this.flzttabkey != "" && this.sqnftabkey != "") {
                    this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = this.sqnftabkeycount;
                }
                if (this.sqlbtabkey == "" && this.flzttabkey != "") {
                    this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = this.sqnftabkeycount;
                }
                this.pageChanged(18, 1);
            }

        }
    ,
        flzttabClose(tag)
        {
            /*this.dynamicTags.splice(this.dynamicTags.indexOf(tag), 1);*/
            this.flzttab = "";
            this.flzttabkey = "";
            this.flztnumber = "";
            if (this.activeName == "first") {
                this.size = 20;
                this.page = 1;
                this.xssbsearch();
            }
            if (this.activeName == "second") {
                this.size = 20;
                this.page = 1;
                this.jqcxsearch();
            }
            if (this.activeName == "third") {
                this.size = 20;
                this.page = 1;
                this.zchsearch();
            }
            if (this.activeName == "fourth") {
                this.size = 20;
                this.page = 1;
                this.zcrsearch();
            }
            if (this.activeName == "five") {
                this.flzttabkeycount = "";
                this.imagecount = this.tmRegistNumsAll.length;
                if (this.sqlbtabkey == "" && this.flzttabkey == "" && this.sqnftabkey == "") {
                    this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = this.imagecount;
                }
                if (this.sqlbtabkey != "" && this.sqnftabkey == "") {
                    this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = this.sqlbtabkeycount;
                }
                if (this.sqlbtabkey != "" && this.sqnftabkey != "") {
                    this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = this.sqnftabkeycount;
                }
                if (this.sqlbtabkey == "" && this.sqnftabkey != "") {
                    this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = this.sqnftabkeycount;
                }
                this.pageChanged(18, 1);
            }

        }
    ,
        sqnftabClose(tag)
        {
            /*this.dynamicTags.splice(this.dynamicTags.indexOf(tag), 1);*/
            this.sqnftabkey = "";
            this.sqnfnumber = "";
            if (this.activeName == "first") {
                this.size = 20;
                this.page = 1;
                this.xssbsearch();
            }
            if (this.activeName == "second") {
                this.size = 20;
                this.page = 1;
                this.jqcxsearch();
            }
            if (this.activeName == "third") {
                this.size = 20;
                this.page = 1;
                this.zchsearch();
            }
            if (this.activeName == "fourth") {
                this.size = 20;
                this.page = 1;
                this.zcrsearch();
            }
            if (this.activeName == "five") {
                this.sqnftabkeycount = "";
                this.imagecount = this.tmRegistNumsAll.length;
                if (this.sqlbtabkey == "" && this.flzttabkey == "" && this.sqnftabkey == "") {
                    this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = this.imagecount;
                }
                if (this.flzttabkey != "" && this.sqlbtabkey == "") {
                    this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = this.flzttabkeycount;
                }
                if (this.flzttabkey != "" && this.sqlbtabkey != "") {
                    this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = this.flzttabkeycount;
                }
                if (this.sqlbtabkey != "" && this.flzttabkey == "") {
                    this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = this.sqlbtabkeycount;
                }
                this.pageChanged(18, 1);
            }

        }
    ,
        handleClick(tab, event)
        {
            console.log(tab, event);
            console.log('----------------------------------');
            console.log(this.activeName);
            this.sqlbnumber = "";
            this.flztnumber = "";
            this.sqnfnumber = "";
            if (this.activeName == "first") {
                this.e = true;
                this.d = true;
                this.g = true;
                this.h = true;
                this.c = false;
                this.c2 = false;
                this.c3 = true;
                this.xssb_no_ncl = true;
                this.zcr_no_ncl = false;
                this.jqcx_no_ncl = false;
                this.x = false;
                this.img = false;
                this.fuwu = false;
                this.detaildata = "";
                this.nclexist = [];
                this.nclnotexist = [];
                /*this.checkAllNclNum=false;
                this.isnumIndeterminate=false;
                this.checkedNclNum= [];*/
                if (this.mark != "") {
                    this.xssbsearchClick();
                } else {
                    this.sqlbdata = [];
                    this.flztdata = [];
                    this.sqnfdata = [];
                    this.xssb_unregistered_Ncl = [];
                    this.sqlbtab = "";
                    this.flzttab = "";
                    this.sqnftabkey = "";
                    this.total = 0;
                    this.querydata = [];
                }
            }
            if (this.activeName == "second") {
                this.e = true;
                this.d = true;
                this.g = false;
                this.h = true;
                this.c = false;
                this.c2 = false;
                this.c3 = true;
                this.jqcx_no_ncl = true;
                this.zcr_no_ncl = false;
                this.xssb_no_ncl = false;
                this.x = false;
                this.img = false;
                this.fuwu = false;
                this.detaildata = "";
                this.nclexist = [];
                this.nclnotexist = [];
                /*this.isnumIndeterminate=false;
                this.checkAllNclNum=false;
                this.checkedNclNum= [];*/
                if (this.mark != "") {
                    this.jqcxsearchClick();
                } else {
                    this.sqlbdata = [];
                    this.flztdata = [];
                    this.sqnfdata = [];
                    this.jqcx_unregistered_Ncl = [];
                    this.sqlbtab = "";
                    this.flzttab = "";
                    this.sqnftabkey = "";
                    this.total = 0;
                    this.querydata = [];
                }
            }
            if (this.activeName == "third") {
                this.e = true;
                this.d = true;
                this.g = false;
                this.h = true;
                this.j = false;
                this.c = false;
                this.c2 = false;
                this.c3 = true;
                this.jqcx_no_ncl = false;
                this.zcr_no_ncl = false;
                this.xssb_no_ncl = false;
                this.x = false;
                this.img = false;
                this.fuwu = false;
                this.detaildata = "";
                this.nclexist = [];
                this.nclnotexist = [];
                if (this.zch != "") {
                    this.zchsearchClick()
                } else {
                    this.sqlbdata = [];
                    this.flztdata = [];
                    this.sqnfdata = [];
                    this.sqlbtab = "";
                    this.flzttab = "";
                    this.sqnftabkey = "";
                    this.total = 0;
                    this.querydata = [];
                }
            }
            if (this.activeName == "fourth") {
                this.e = true;
                this.d = true;
                this.g = false;
                this.h = true;
                this.c = false;
                this.c2 = false;
                this.c3 = true;
                this.zcr_no_ncl = false;
                this.jqcx_no_ncl = false;
                this.xssb_no_ncl = false;
                this.x = false;
                this.img = false;
                this.fuwu = false;
                this.detaildata = "";
                this.nclexist = [];
                this.nclnotexist = [];
                if (this.mark != "") {
                    this.zcrsearchClick();
                } else {
                    this.sqlbdata = [];
                    this.flztdata = [];
                    this.sqnfdata = [];
                    this.sqlbtab = "";
                    this.flzttab = "";
                    this.sqnftabkey = "";
                    this.total = 0;
                    this.querydata = [];
                }
            }
            if (this.activeName == "five") {
                this.e = true;
                this.d = true;
                this.g = false;
                this.h = false;
                this.img = true;
                this.c = false;
                this.c2 = false;
                this.c3 = false;
                this.x = false;
                this.fuwu = false;
                this.zcr_no_ncl = false;
                this.jqcx_no_ncl = false;
                this.xssb_no_ncl = false;
                this.sqlbtab = "";
                this.flzttab = "";
                this.sqnftabkey = "";
                if (this.tmRegistNumsAll.length > 0) {
                    this.sqlbdata = this.imagesqlbdata;
                    this.flztdata = this.imageflztdata;
                    this.sqnfdata = this.imagesqnfdata;
                } else {
                    this.sqlbdata = [];
                    this.flztdata = [];
                    this.sqnfdata = [];
                }

            }
            if (this.activeName == "six") {
                this.e = false;
                this.d = false;
                this.g = false;
                this.h = false;
                this.img = false;
                this.c = false;
                this.c2 = false;
                this.c3 = false;
                this.x = false;
                this.fuwu = true;
                this.zcr_no_ncl = false;
                this.jqcx_no_ncl = false;
                this.xssb_no_ncl = false;
                this.sqlbtab = "";
                this.flzttab = "";
                this.sqnftabkey = "";
                this.total = "";
                if (this.nclfuwu != "") {
                    this.nclFuwusearchClick();
                }
            }

        }
    ,
        handleChange(val)
        {
            console.log(val);
            console.log("00000000000000000000000000000000000000000000");
        }
    ,
        isNull(str)
        {
            if (str == "") return true;
            var regu = "^[ ]+$";
            var re = new RegExp(regu);
            return re.test(str);
        }
    ,
        indexsearch()
        {
            this.aitmrate = false;
            this.ainclonerate = [];
            /*if (this.isNull(this.mark)){
              this.$message.warning("请输入目标");
            }*/
            if (this.isNull(this.mark)) {
                this.$message.warning("请输入目标");
            } else {
                /*this.mark = this.mark.replace(/(^\s*)|(\s*$)/g, "");*/
                this.mark = this.mark.replace(/\s+/g,"");
                console.log(this.mark);
                var obj =
                    {
                        tmName: this.mark,
                        sqlbtabkey: "",
                        flzttabkey: "",
                        sqnftabkey: "",
                        ncl: this.checkedNcl,
                        xcl: this.checkedXcl,
                        user: this.user,
                        nclNum: [],
                        pageSize: 20,
                        currentPage: 1,
                    }
                ;
                var that = this;
                console.log(obj);
                const loadingbyc = this.$loading({
                    lock: true,
                    text: 'Loading',
                    spinner: 'el-icon-loading',
                    background: 'rgba(0, 0, 0, 0.7)'
                });
                this.jqcx_no_ncl = true;
                this.$root.postReq("/web/bytmqueryCtl/findTrademarkNameAccurate", obj).then(function (d) {
                    loadingbyc.close();
                    that.querydata = d.data.rows;
                    that.sqlbdata = d.data.code_counts;
                    that.flztdata = d.data.status_counts;
                    that.sqnfdata = d.data.year_counts;
                    that.jqcx_unregistered_Ncl = d.data.no_code_counts;
                    that.logo = d.data.rows.logo;
                    that.total = d.data.count;
                    if (that.querydata.length > 0) {
                        that.handle2(that.querydata[0]);
                    }
                }).catch(function (e) {
                    that.$message.warning(`操作失败，请刷新页面后重新操作`);
                });
                this.a = false;
                this.b = true;
                this.c3 = true;
                this.d = true;
                this.e = true;
                this.g = false;
                this.h = true;
            }
        }
    ,
        xssbsearchClick()
        { /* 相似查询 */
            if (this.isNull(this.mark)) {
                this.$message.warning("请输入目标");
            } else {
                /*this.checkedSbtj = this.sbtjOptions;
                this.checkAllSbtj = true;*/
                /*this.mark = this.mark.replace(/(^\s*)|(\s*$)/g, "");*/
                this.mark = this.mark.replace(/\s+/g,"");
                var obj =
                    {
                        tmName: this.mark,
                        sqlbtabkey: "",
                        flzttabkey: "",
                        sqlbtabkey: "",
                        sqnftabkey: "",
                        pageSize: "20",
                        currentPage: "1",
                        ncl: [],
                        xcl: [],
                        nclNum: this.checkedNclNum,
                        sbtjdata: this.checkedSbtj,
                    };
                this.size = 20;
                this.page = 1;
                var that = this;
                const loadingbyc = this.$loading({
                    lock: true,
                    text: 'Loading',
                    spinner: 'el-icon-loading',
                    background: 'rgba(0, 0, 0, 0.7)'
                });
                this.sqlbtab = "";
                this.sqlbtabkey = "";
                this.flzttab = "";
                this.flzttabkey = "";
                this.sqnftabkey = "";
                this.checkedNcl = [];
                this.checkedXcl = [];
                this.sqlbnumber = "";
                this.flztnumber = "";
                this.sqnfnumber = "";
                this.detaildata = "";
                this.nclexist = [];
                this.nclnotexist = [];
                this.$root.postReq("/web/bytmqueryCtl/findTrademarkName", obj).then(function (d) {
                    loadingbyc.close();
                    that.querydata = d.data.rows;
                    that.sqlbdata = d.data.code_counts;
                    that.flztdata = d.data.status_counts;
                    that.sqnfdata = d.data.year_counts;
                    that.xssb_unregistered_Ncl = d.data.no_code_counts;
                    that.logo = d.data.rows.logo;
                    that.total = d.data.count;
                    if (that.c3) {
                        console.log("+++++++++++++++++++++++++++++++++++++++");
                        console.log(that.querydata);
                        if (that.querydata.length > 0) {
                            that.handle2(that.querydata[0]);
                        } else {
                            that.detaildata = "";
                        }
                    }
                }).catch(function (e) {
                    that.$message.warning(`操作失败，请刷新页面后重新操作`);
                });
                this.img = false;
            }
        }
    ,
        xssbsearch()
        { /* 相似查询 */
            if (this.isNull(this.mark)) {
                this.$message.warning("请输入目标");
            } else {
              /*this.mark = this.mark.replace(/(^\s*)|(\s*$)/g, "");*/
              this.mark = this.mark.replace(/\s+/g,"");
                var obj =
                    {
                        tmName: this.mark,
                        sqlbtabkey: this.sqlbtabkey,
                        flzttabkey: this.flzttabkey,
                        sqnftabkey: this.sqnftabkey,
                        pageSize: this.size,
                        currentPage: this.page,
                        ncl: this.checkedNcl,
                        xcl: this.checkedXcl,
                        nclNum: this.checkedNclNum,
                        sbtjdata: this.checkedSbtj,
                    };
                var that = this;
                console.log(obj);
                const loadingbyc = this.$loading({
                    lock: true,
                    text: 'Loading',
                    spinner: 'el-icon-loading',
                    background: 'rgba(0, 0, 0, 0.7)'
                });
                this.$root.postReq("/web/bytmqueryCtl/findTrademarkName", obj).then(function (d) {
                    loadingbyc.close();
                    that.querydata = d.data.rows;
                    that.sqlbdata = d.data.code_counts;
                    that.flztdata = d.data.status_counts;
                    that.sqnfdata = d.data.year_counts;
                    that.logo = d.data.rows.logo;
                    that.total = d.data.count;
                    if (that.c3) {
                        console.log("+++++++++++++++++++++++++++++++++++++++");
                        console.log(that.querydata);
                        if (that.querydata.length > 0) {
                            that.handle2(that.querydata[0]);
                        } else {
                            that.detaildata = "";
                        }
                    }
                }).catch(function (e) {
                    that.$message.warning(`操作失败，请刷新页面后重新操作`);
                });
            }
        }
    ,
        jqcxsearchClick()
        {
            if (this.isNull(this.mark)) {
                this.$message.warning("请输入目标");
            } else {
                /*this.mark = this.mark.replace(/(^\s*)|(\s*$)/g, "");*/
                this.mark = this.mark.replace(/\s+/g,"");
                var obj =
                    {
                        tmName: this.mark,
                        sqlbtabkey: "",
                        flzttabkey: "",
                        sqnftabkey: "",
                        ncl: [],
                        xcl: [],
                        user: this.user,
                        nclNum: this.checkedNclNum,
                        pageSize: "20",
                        currentPage: "1"
                    };
                console.log(obj);
                this.size = 20;
                this.page = 1;
                var that = this;
                const loadingbyc = this.$loading({
                    lock: true,
                    text: 'Loading',
                    spinner: 'el-icon-loading',
                    background: 'rgba(0, 0, 0, 0.7)'
                });
                this.sqlbtab = "";
                this.sqlbtabkey = "";
                this.flzttab = "";
                this.flzttabkey = "";
                this.sqnftabkey = "";
                this.checkedNcl = [];
                this.checkedXcl = [];
                this.sqlbnumber = "";
                this.flztnumber = "";
                this.sqnfnumber = "";
                this.detaildata = "";
                this.nclexist = [];
                this.nclnotexist = [];
                this.$root.postReq("/web/bytmqueryCtl/findTrademarkNameAccurate", obj).then(function (d) {
                    loadingbyc.close();
                    that.querydata = d.data.rows;
                    that.sqlbdata = d.data.code_counts;
                    that.flztdata = d.data.status_counts;
                    that.sqnfdata = d.data.year_counts;
                    that.jqcx_unregistered_Ncl = d.data.no_code_counts;
                    that.logo = d.data.rows.logo;
                    that.total = d.data.count;
                    if (that.c3) {
                        console.log("+++++++++++++++++++++++++++++++++++++++");
                        console.log(that.querydata);
                        if (that.querydata.length > 0) {
                            that.handle2(that.querydata[0]);
                        } else {
                            that.detaildata = "";
                        }
                    }
                }).catch(function (e) {
                    that.$message.warning(`操作失败，请刷新页面后重新操作`);
                });
                this.img = false;
            }
        }
    ,
        jqcxsearch()
        {
            if (this.isNull(this.mark)) {
                this.$message.warning("请输入目标");
            } else {
                /*this.mark = this.mark.replace(/(^\s*)|(\s*$)/g, "");*/
                this.mark = this.mark.replace(/\s+/g,"");
                var obj =
                    {
                        tmName: this.mark,
                        user: this.user,
                        sqlbtabkey: this.sqlbtabkey,
                        flzttabkey: this.flzttabkey,
                        sqnftabkey: this.sqnftabkey,
                        pageSize: this.size,
                        ncl: this.checkedNcl,
                        xcl: this.checkedXcl,
                        nclNum: this.checkedNclNum,
                        currentPage: this.page
                    };
                var that = this;
                console.log(obj);
                const loadingbyc = this.$loading({
                    lock: true,
                    text: 'Loading',
                    spinner: 'el-icon-loading',
                    background: 'rgba(0, 0, 0, 0.7)'
                });
                this.$root.postReq("/web/bytmqueryCtl/findTrademarkNameAccurate", obj).then(function (d) {
                    loadingbyc.close();
                    that.querydata = d.data.rows;
                    that.sqlbdata = d.data.code_counts;
                    that.flztdata = d.data.status_counts;
                    that.sqnfdata = d.data.year_counts;
                    that.logo = d.data.rows.logo;
                    that.total = d.data.count;
                    if (that.c3) {
                        console.log("+++++++++++++++++++++++++++++++++++++++");
                        console.log(that.querydata);
                        if (that.querydata.length > 0) {
                            that.handle2(that.querydata[0]);
                        } else {
                            that.detaildata = "";
                        }
                    }
                }).catch(function (e) {
                    that.$message.warning(`操作失败，请刷新页面后重新操作`);
                });
            }
        }
    ,
        zchsearchClick()
        {
            if (this.zch == "") {
                this.$message.warning("请输入申请号");
            } else {
                /*this.zch = this.zch.replace(/(^\s*)|(\s*$)/g, "");*/
                this.zch = this.zch.replace(/\s+/g,"");
                var obj =
                    {
                        regNum: this.zch,
                        sqlbtabkey: "",
                        flzttabkey: "",
                        sqnftabkey: "",
                        xcl: [],
                        pageSize: "20",
                        currentPage: "1"
                    };
                this.size = 20;
                this.page = 1;
                var that = this;
                this.sqlbtab = "";
                this.sqlbtabkey = "";
                this.flzttab = "";
                this.flzttabkey = "";
                this.sqnftabkey = "";
                const loadingbyc = this.$loading({
                    lock: true,
                    text: 'Loading',
                    spinner: 'el-icon-loading',
                    background: 'rgba(0, 0, 0, 0.7)'
                });
                this.checkedXcl = [];
                this.sqlbnumber = "";
                this.flztnumber = "";
                this.sqnfnumber = "";
                this.detaildata = "";
                this.nclexist = [];
                this.nclnotexist = [];
                this.$root.postReq("/web/bytmqueryCtl/findTrademarkzchAccurate", obj).then(function (d) {
                    loadingbyc.close();
                    that.querydata = d.data.rows;
                    that.sqlbdata = d.data.code_counts;
                    that.flztdata = d.data.status_counts;
                    that.sqnfdata = d.data.year_counts;
                    that.logo = d.data.rows.logo;
                    that.total = d.data.count;
                    if (that.c3) {
                        console.log("+++++++++++++++++++++++++++++++++++++++");
                        console.log(that.querydata);
                        if (that.querydata.length > 0) {
                            that.handle2(that.querydata[0]);
                        } else {
                            that.detaildata = "";
                        }
                    }
                }).catch(function (e) {
                    that.$message.warning(`操作失败，请刷新页面后重新操作`);
                });
                this.img = false;
            }
        }
    ,
        zchsearch()
        {
            if (this.zch == "") {
                this.$message.warning("请输入申请号");
            } else {
                /*this.zch = this.zch.replace(/(^\s*)|(\s*$)/g, "");*/
                this.zch = this.zch.replace(/\s+/g,"");
                var obj =
                    {
                        regNum: this.zch,
                        sqlbtabkey: this.sqlbtabkey,
                        flzttabkey: this.flzttabkey,
                        sqnftabkey: this.sqnftabkey,
                        xcl: this.checkedXcl,
                        pageSize: this.size,
                        currentPage: this.page
                    };
                var that = this;
                const loadingbyc = this.$loading({
                    lock: true,
                    text: 'Loading',
                    spinner: 'el-icon-loading',
                    background: 'rgba(0, 0, 0, 0.7)'
                });
                this.$root.postReq("/web/bytmqueryCtl/findTrademarkzchAccurate", obj).then(function (d) {
                    loadingbyc.close();
                    that.querydata = d.data.rows;
                    that.sqlbdata = d.data.code_counts;
                    that.flztdata = d.data.status_counts;
                    that.sqnfdata = d.data.year_counts;
                    that.logo = d.data.rows.logo;
                    that.total = d.data.count;
                    if (that.c3) {
                        console.log("+++++++++++++++++++++++++++++++++++++++");
                        console.log(that.querydata);
                        if (that.querydata.length > 0) {
                            that.handle2(that.querydata[0]);
                        } else {
                            that.detaildata = "";
                        }
                    }
                }).catch(function (e) {
                    that.$message.warning(`操作失败，请刷新页面后重新操作`);
                });
            }
        }
    ,
        zcrsearchClick()
        {
            if (this.isNull(this.mark)) {
                this.$message.warning("请输入目标");
            } else {
                /*this.mark = this.mark.replace(/(^\s*)|(\s*$)/g, "");*/
                this.mark=this.mark.replace(/\s+/g,"");
                var obj =
                    {
                        regMan: this.mark,
                        sqlbtabkey: "",
                        flzttabkey: "",
                        sqnftabkey: "",
                        xcl: [],
                        pageSize: "20",
                        currentPage: "1"
                    };
                this.size = 20;
                this.page = 1;
                var that = this;
                this.sqlbtab = "";
                this.sqlbtabkey = "";
                this.flzttab = "";
                this.flzttabkey = "";
                this.sqnftabkey = "";
                this.checkedXcl = [];
                this.sqlbnumber = "";
                this.flztnumber = "";
                this.sqnfnumber = "";
                this.detaildata = "";
                this.nclexist = [];
                this.nclnotexist = [];
                const loadingbyc = this.$loading({
                    lock: true,
                    text: 'Loading',
                    spinner: 'el-icon-loading',
                    background: 'rgba(0, 0, 0, 0.7)'
                });
                this.$root.postReq("/web/bytmqueryCtl/findTrademarkzcr", obj).then(function (d) {
                    loadingbyc.close();
                    that.querydata = d.data.rows;
                    that.sqlbdata = d.data.code_counts;
                    that.flztdata = d.data.status_counts;
                    that.sqnfdata = d.data.year_counts;
                    that.zcr_unregistered_Ncl = d.data.no_code_counts;
                    that.logo = d.data.rows.logo;
                    that.total = d.data.count;
                    if (that.c3) {
                        console.log("+++++++++++++++++++++++++++++++++++++++");
                        console.log(that.querydata);
                        if (that.querydata.length > 0) {
                            that.handle2(that.querydata[0]);
                        } else {
                            that.detaildata = "";
                        }
                    }
                }).catch(function (e) {
                    that.$message.warning(`操作失败，请刷新页面后重新操作`);
                });
                this.img = false;
            }
        }
    ,
        zcrsearch()
        {
            if (this.isNull(this.mark)) {
                this.$message.warning("请输入目标");
            } else {
              /*this.mark = this.mark.replace(/(^\s*)|(\s*$)/g, "");*/
                this.mark=this.mark.replace(/\s+/g,"");
                var obj =
                    {
                        regMan: this.mark,
                        sqlbtabkey: this.sqlbtabkey,
                        flzttabkey: this.flzttabkey,
                        sqnftabkey: this.sqnftabkey,
                        xcl: this.checkedXcl,
                        pageSize: this.size,
                        currentPage: this.page
                    };
                var that = this;
                const loadingbyc = this.$loading({
                    lock: true,
                    text: 'Loading',
                    spinner: 'el-icon-loading',
                    background: 'rgba(0, 0, 0, 0.7)'
                });
                this.$root.postReq("/web/bytmqueryCtl/findTrademarkzcr", obj).then(function (d) {
                    loadingbyc.close();
                    that.querydata = d.data.rows;
                    that.sqlbdata = d.data.code_counts;
                    that.flztdata = d.data.status_counts;
                    that.sqnfdata = d.data.year_counts;
                    that.logo = d.data.rows.logo;
                    that.total = d.data.count;
                    if (that.c3) {
                        console.log("+++++++++++++++++++++++++++++++++++++++");
                        console.log(that.querydata);
                        if (that.querydata.length > 0) {
                            that.handle2(that.querydata[0]);
                        } else {
                            that.detaildata = "";
                        }
                    }
                }).catch(function (e) {
                    that.$message.warning(`操作失败，请刷新页面后重新操作`);
                });
            }
        }
    ,
        getTmFlowInfo(row)
        {
            var that = this;
            this.$root.postReq("/web/bytmqueryCtl/getTmFlowByRegNum", {"regNum": row.sbzch}).then(function (d) {
                if (d != null) {
                    that.tmdata["lcxx"] = d;
                }
            });
        }
    ,
        detailclick:function (row) {
            var that = this;
            var options = {
                regNum: row.sbzch
            };
            console.log(options);
            that.$root.postReq("/web/bytmqueryCtl/getTmFlowByRegNum", options).then(function (d) {
                row.lcxx = d;
                that.tmdata = row;
                that.getTmFlowInfo(row);
                that.tmdata.sblx = row.sblx;
                that.tmdata.sbzt = row.sbzt;
                that.dialogFormVisible = true;
            }).catch(function (e) {
                console.log(e);
                that.$message.warning(`操作失败，请刷新页面后重新操作`);
            });
        }
    ,
        trademarkdetailclick(row)
        {
            console.log(row);
            var localurl = location.href;
            console.log(localurl);
            var base = localurl.split("b#");
            var url = base[0] + "b#/bycdetailtm?sbzch=" + row.sbzch + "&gjfl=" + row.gjfl;
            console.log(base);
            console.log(url);
            window.open(url);
        }
    ,
        trademarknoticeclick()
        {
            var localurl = location.href;
            console.log(localurl);
            var base = localurl.split("b#");
            var url = base[0] + "b#/bycnoticetm?notice";
            console.log(base);
            console.log(url);
            window.open(url);
        }
    ,
        byctmmonitlick()
        {
            var localurl = location.href;
            console.log(localurl);
            var base = localurl.split("b#");
            var url = base[0] + "b#/bytmmonit?tmmonit";
            console.log(base);
            console.log(url);
            window.open(url);
        }
    ,
        bycncldetailclick()
        {
            var localurl = location.href;
            console.log(localurl);
            var base = localurl.split("b#");
            var url = base[0] + "b#/bycncldetail?ncldetail";


            console.log(base);
            console.log(url);
            window.open(url);
        }
    ,
        bycindexclick()
        {
            console.log("/////////////////////////////////////////////");
            var localurl = location.href;
            console.log(localurl);
            window.location.reload();
        }
    ,
        handleCurrentChange1(val)
        {
            this.page = val;
            console.log(`当前 ${val} 页`);
            if (this.activeName == "first") {
                this.xssbsearch();
            }
            if (this.activeName == "second") {
                this.jqcxsearch();
            }
            if (this.activeName == "third") {
                this.zchsearch();
            }
            if (this.activeName == "fourth") {
                this.zcrsearch();
            }
            if (this.activeName == "six") {
                this.nclFuwusearch();
            }
        }
    ,
        handleCurrentChange(val)
        {
            this.page = val;
            console.log(`当前 ${val} 页`);
            if (this.activeName == "first") {
                this.xssbsearch();
            }
            if (this.activeName == "second") {
                this.jqcxsearch();
            }
            if (this.activeName == "third") {
                this.zchsearch();
            }
            if (this.activeName == "fourth") {
                this.zcrsearch();
            }
            if (this.activeName == "six") {
                this.nclFuwusearch();
            }
        }
    ,
        handleSizeChange(val)
        {
            this.size = val;
            console.log(`每页 ${val} 条`);
            if (this.activeName == "second") {
                this.jqcxsearch();
            }
            if (this.activeName == "third") {
                this.zchsearch();
            }
            if (this.activeName == "fourth") {
                this.zcrsearch();
            }
            if (this.activeName == "first") {
                this.xssbsearch();
            }
            if (this.activeName == "six") {
                this.nclFuwusearch();
            }
        }
    ,
        mousecheckClick()
        {
            this.fff = true;
        }
    ,
        nonemousecheckClick()
        {
            this.fff = false;
        }
    ,
        handleCheckAllNumChange(val)
        {
            console.log(val);
            this.checkedNclNum = val ? this.nclOptionNumbers : [];
            console.log(this.checkedNclNum);
            this.isnumIndeterminate = false;
        }
    ,
        handleCheckedNclNumChange(value)
        {
            console.log(value);
            let checkedCountNcl = value.length;
            this.checkAllNclNum = checkedCountNcl === this.nclNum.length;
            this.isnumIndeterminate = checkedCountNcl > 0 && checkedCountNcl < this.nclNum.length;
        }
    ,

        handleCheckAllChange(val)
        {
            console.log(val);
            this.checkedNcl = val ? this.nclOptions : [];
            console.log(this.checkedNcl);
            this.isIndeterminate = false;
        }
    ,
        handleCheckedNclChange(value)
        {
            console.log(value);
            let checkedCount = value.length;
            this.checkAll = checkedCount === this.ncl.length;
            this.isIndeterminate = checkedCount > 0 && checkedCount < this.ncl.length;
        }
    ,
        checkClick()
        {
            console.log("lllllllllllllllllllllllllllllllllllllllllllllllllllllllllllllll");
            console.log(this.fkey);
            if (this.fkey == 0) {
                this.f = true;
                this.fkey = 1;
            } else {
                this.f = false;
                this.fkey = 0;
                this.checkedNcl = [];
                this.checkAll = false;
                this.isIndeterminate = false;
            }
        }
    ,
        /*已选下拉列表*/
        staySelectedDropDownList()
        {
            this.x = true;
            this.xkey = 1;
        }
    ,
        noneSelectedDropDownList()
        {
            this.x = false;
            this.xkey = 0;
        }
    ,
        /*已选条件*/
        handleCheckAllChange02(val)
        {
            console.log(val);
            this.checkedXcl = val ? this.xclOptions : [];
            console.log(this.checkedXcl);
            this.isXIndeterminate = false;
        }
    ,
        handleCheckedXclChange(val)
        {
            let checkedCount = val.length;
            this.checkxAll = checkedCount === this.xcl.length;
            this.isXIndeterminate = checkedCount > 0 && checkedCount < this.xcl.length;
        }
    ,
        handleCheckAllChangeSbtj(val)
        {
            console.log("=====================================");
            console.log(val);
            this.checkedSbtj = val ? this.sbtjOptions : [];
            console.log(this.checkedSbtj);
            this.isIndeterminateSbtj = false;
            if (val) {
                this.xssbsearch();
            }
        }
    ,
        handleCheckedChangeSbtj(value)
        {
            console.log("-------------------------------------");
            console.log(value);
            let checkedSbtjCount = value.length;
            this.checkAllSbtj = checkedSbtjCount === this.sbtj.length;
            this.isIndeterminateSbtj = checkedSbtjCount > 0 && checkedSbtjCount < this.sbtj.length;
            console.log(this.checkedSbtj);
            this.size = 20;
            this.page = 1;
            this.xssbsearch();
        }
    ,
        defaultsortclick()
        {
            console.log(this.defaultsort);
            this.defaultsort = true;
            this.sblxsort = false;
            this.sqnfsort = false;
            if (this.activeName == "first") {
                console.log("sqnfsort");
            }
            if (this.activeName == "second") {

            }
            if (this.activeName == "fourth") {

            }
        }
    ,
        sblxsortclick()
        {
            console.log(this.sblxsort);
            this.defaultsort = false;
            this.sblxsort = true;
            this.sqnfsort = false;
            if (this.activeName == "first") {
                console.log("sqnfsort");
            }
            if (this.activeName == "second") {

            }
            if (this.activeName == "fourth") {

            }
        }
    ,
        sqnfsortclick()
        {
            console.log(this.sqnfsort);
            this.defaultsort = false;
            this.sblxsort = false;
            this.sqnfsort = true;
            if (this.activeName == "first") {
                console.log("sqnfsort");
            }
            if (this.activeName == "second") {

            }
            if (this.activeName == "fourth") {

            }
        }
    ,
        onExceed(files, fileList)
        {
            this.$message.warning(`只能选择一张图片`);
        }
    ,
        beforeUpload(file)
        {
            if (file.type != "image/jpeg" && file.type != "image/png") {
                this.$message.warning(`请上传jpg文件`);
                return false;
            }
            if (file.size > 3145728) {
                this.$message.warning(`文件不能超过3072kb`);
                return false;
            }
            var myDate = new Date();
            var key = "zc_imagequery" + Math.round(Math.random() * 500) + myDate.getMonth() + myDate.getTime() + myDate.getFullYear() + myDate.getDate() + myDate.getHours() + myDate.getMinutes() + myDate.getSeconds() + myDate.getMilliseconds() + file.name;
            this.imagedata.key = key;
            this.tag.name = file.name;
        }
    ,
        success(response, file, fileList)
        {
            var xml = this.loadXML(response);
            this.imageUrl = xml.documentElement.getElementsByTagName("Location")[0].textContent;
            this.disabled = false;
            this.downdisabled = true;
        }
    ,
        remove(file, fileList)
        {
            this.disabled = true;
            this.downdisabled = true;
        }
    ,
        error(err, file, fileList)
        {
            console.log("error");
            console.log(err);
        }
    ,
        progress(event, file, fileList)
        {
            console.log("progress");
        }
    ,
        preview(file)
        {
            if (this.imageUrl != "" && this.imageUrl != undefined) {
                window.open(file.url, "_blank");
            }
        }
    ,
        loadXML(xmlString)
        {
            var xmlDoc = null;
            if (!window.DOMParser && window.ActiveXObject) {
                var xmlDomVersions = ['MSXML.2.DOMDocument.6.0', 'MSXML.2.DOMDocument.3.0', 'Microsoft.XMLDOM'];
                for (var i = 0; i < xmlDomVersions.length; i++) {
                    try {
                        xmlDoc = new ActiveXObject(xmlDomVersions[i]);
                        xmlDoc.async = false;
                        xmlDoc.loadXML(xmlString);
                        break;
                    } catch (e) {
                    }
                }
            }
            else if (window.DOMParser && document.implementation && document.implementation.createDocument) {
                try {
                    domParser = new DOMParser();
                    xmlDoc = domParser.parseFromString(xmlString, 'text/xml');
                } catch (e) {
                }
            }
            else {
                return null;
            }
            return xmlDoc;
        }
    ,
        closeTag(tag)
        {
            this.imageUrl = "";
            /*this.clearUploadedImage();*/
        }
    ,
        clearUploadedImage()
        {
            this.$refs.imageupload.clearFiles();
        }
    ,
        pageChanged(ps, cp)
        {
            if (this.sqlbtabkey == "" && this.flzttabkey == "" && this.sqnftabkey == "") {
                this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = this.imagecount;
            }

            this.$refs.flowlayout.$refs.pagerRef.pageInfo.currentPage = cp;
            this.$refs.flowlayout.$refs.pagerRef.pageInfo.pageSize = ps;
            var obj = {
                tmRegistNumsAll: this.tmRegistNumsAll,
                sqlbtabkey: this.sqlbtabkey,
                flzttabkey: this.flzttabkey,
                sqnftabkey: this.sqnftabkey,
                xcl: this.checkedXcl,
                pageInfo: {
                    pageSize: ps,
                    pageNo: cp
                }
            };
            var that = this;
            console.log(obj);
            const loadingbyc = this.$loading({
                lock: true,
                text: 'Loading',
                spinner: 'el-icon-loading',
                background: 'rgba(0, 0, 0, 0.7)'
            });
            this.$root.postReq("/web/bytmqueryCtl/findImageSearch", obj).then(function (d) {
              if(d.status==0){
                that.queryimagedata = d.data.rows;
                that.logo = d.data.rows.logo;
                that.sqlbdata = d.data.code_counts;
                that.flztdata = d.data.status_counts;
                that.sqnfdata = d.data.year_counts;
                that.imagesqlbdata = d.data.code_counts;
                that.imageflztdata = d.data.status_counts;
                that.imagesqnfdata = d.data.year_counts;
                that.imagecount = d.data.count;
                loadingbyc.close();
              }
            }).catch(function (e) {
                console.log(e);
                that.$message.warning(`操作失败，请刷新页面后重新操作`);
                loadingbyc.close();
            });
        }
    ,
        imagequery()
        {
            if (this.imageUrl == "" || this.imageUrl == null) {
                this.$message.warning(`操作失败，请选择图片后重新操作`);
                return false;
            }
            this.imageupurl = this.imageUrl;
            var msg = {
                cls: "bytmqueryCtl",
                method: "imagequery",
                data: {"imageUrl": this.imageUrl}
            };
            var that = this;
            this.tmRegistNums = [];
            this.sqlbtab = "";
            this.sqlbtabkey = "";
            this.sqlbtabkeycount = "";
            this.flzttab = "";
            this.flzttabkey = "";
            this.flzttabkeycount = "";
            this.sqnftabkey = "";
            this.sqnftabkeycount = "";
            console.log(msg);
            this.checkedXcl = [];
            var obj = {
                imageUrl: this.imageUrl
            };
            const loadingbyc = this.$loading({
                lock: true,
                text: 'Loading',
                spinner: 'el-icon-loading',
                background: 'rgba(0, 0, 0, 0.7)'
            });
            this.$root.postReq("/web/bytmqueryCtl/imagequery", obj).then(function (d) {
                that.tmRegistNumsAll = d.data.rows;
                that.sqlbdata = d.data.code_counts;
                that.flztdata = d.data.status_counts;
                that.sqnfdata = d.data.year_counts;
                that.imagesqlbdata = d.data.code_counts;
                that.imageflztdata = d.data.status_counts;
                that.imagesqnfdata = d.data.year_counts;
                that.imagecount = d.data.count;
                that.pageChanged(18, 1);
            }).catch(function (e) {
                console.log(e);
                that.$message.warning(`操作失败，请刷新页面后重新操作`);
                loadingbyc.close();
            });
            this.c = false;
            this.img = true;
        }
    ,
        nclFuwusearch()
        {
            if (this.nclfuwu == "") {
                this.$message.warning("请输入要查询的服务项");
            } else {
                this.nclfuwu = this.nclfuwu.replace(/(^\s*)|(\s*$)/g, "");
                var obj =
                    {
                        nclfuwu: this.nclfuwu,
                        pageSize: this.size,
                        currentPage: this.page
                    };
                var that = this;
                const loadingbyc = this.$loading({
                    lock: true,
                    text: 'Loading',
                    spinner: 'el-icon-loading',
                    background: 'rgba(0, 0, 0, 0.7)'
                });
                this.$root.postReq("/web/bytmqueryCtl/nclFuwuSearch", obj).then(function (d) {
                    that.nclfuwudata = d.data.rows;
                    that.total = d.data.count;
                    loadingbyc.close();
                }).catch(function (e) {
                    that.$message.warning(`操作失败，请刷新页面后重新操作`);
                });
            }
        }
    ,
        showExport()
        {
            var self = this;
            var datas = self.querydata;
            if (!datas || datas.length == 0) {
                self.$message.warning(`无查询结果`);
                return;
            }

            this.exportColumnDialog = true;
        }
    ,
        exportFile()
        {
            var self = this;

            var datas = self.querydata;
            if (!datas || datas.length == 0) {
                self.$message.warning(`无查询结果`);
                return;
            }

            if (!self.exportColumns || self.exportColumns.length == 0) {
                self.$message.warning(`请至少选择一列`);
                return;
            }


            self.downloading = true;
            var rows = [];
            rows.push(self.exportColumns);

            for (var dd of datas) {
                var arr = [];
                for (var h of self.exportColumns) {
                    var _v = self.headers[h] || "";
                    arr.push(dd[_v] || "---");
                }
                rows.push(arr);
            }

            this.code = "";
            /* 生成文件*/
            self.$root.postReq("/web/filedownloadCtl/download", {rows: rows}).then(function (d) {
                if (d.status == 0) {
                    setTimeout((function () {
                        self.code = d.data;
                        self.downloadFile();
                    }), 2000);
                }
            });
        }
    ,
        /* 循环检查code, 并下载文件 */
        downloadFile()
        {
            var self = this;
            self.$root.postReq("/web/filedownloadCtl/findOne", {code: self.code}).then(function (d) {
                if (d.status == 0) {
                    if (d.data && d.data.filePath) {
                        downloadTimes = 1;
                        /* 文件生成成功 */
                        self.downloading = false;
                        self.exportColumnDialog = false;
                        window.location.href = d.data.filePath;
                    } else {
                        /* 递归2秒一次,超过5次,下载失败 */
                        if (downloadTimes > 5) {
                            downloadTimes = 1;
                            /* 下载超时 */
                            self.downloading = false;
                            return;
                        }
                        downloadTimes = downloadTimes + 1;
                        setTimeout((function () {
                            self.downloadFile();
                        }), 2000);
                    }
                }
            });
        }
    ,
        querySearch(queryString, cb)
        {
            var restaurants = this.restaurants;
            var results = queryString ? restaurants.filter(this.createFilter(queryString)) : restaurants;
            cb(results);
        }
    ,
        createFilter(queryString)
        {
            return (restaurant) => {
                return (restaurant.value.toLowerCase().indexOf(queryString.toLowerCase()) === 0);
            };
        }
    ,
        loadAll()
        {
            return [
                {"value": "萌颜"},
                {"value": "公司宝"},
                {"value": "王栋源"},
                {"value": "信息中心"}
            ];
        }
    ,
        handleSelect(item)
        {
            console.log(item);
        }
    ,
        nclFuwusearchClick()
        {
            if (this.nclfuwu == "") {
                this.$message.warning("请输入要查询的服务项");
            } else {
                this.nclfuwu = this.nclfuwu.replace(/(^\s*)|(\s*$)/g, "");
                var obj =
                    {
                        nclfuwu: this.nclfuwu,
                        pageSize: 20,
                        currentPage: 1
                    };
                var that = this;
                this.size = 20;
                this.page = 1;
                const loadingbyc = this.$loading({
                    lock: true,
                    text: 'Loading',
                    spinner: 'el-icon-loading',
                    background: 'rgba(0, 0, 0, 0.7)'
                });
                this.$root.postReq("/web/bytmqueryCtl/nclFuwuSearch", obj).then(function (d) {
                    that.nclfuwudata = d.data.rows;
                    that.total = d.data.count;
                    loadingbyc.close();
                }).catch(function (e) {
                    that.$message.warning(`操作失败，请刷新页面后重新操作`);
                });
            }
        }
    ,
        handle1(row, event, column)
        {
            console.log(row, event, column);
            this.trademarkdetailclick(row);
        }
    ,
        handle2(row, event, column)
        {
            console.log("================================");
            console.log(row.gjfl);
            var obj = {
                sbzch: row.sbzch,
                gjfl: row.gjfl
            };
            var that = this;
            const loadingbyc = this.$loading({
                lock: true,
                text: 'Loading',
                spinner: 'el-icon-loading',
                background: 'rgba(0, 0, 0, 0.7)'
            });
            this.$root.postReq("/web/bytmqueryCtl/tradeMarkDetail", obj).then(function (d) {
                console.log(d);
                that.detaildata = d.data.detaildata[0];
                that.nclexist = d.data.nclexist;
                that.nclnotexist = d.data.nclnotexist;
                console.log(that.detaildata);
                loadingbyc.close();
            }).catch(function (e) {
                that.$message.warning(`操作失败，请刷新页面后重新操作`);
            });
        }
    ,
        ncltwocodeclick()
        {
            if (this.activeName == "first") {
                console.log("fffffffffffffffffffffffffffffffffffffff");
                console.log(this.checkedXcl);
                this.size = 20;
                this.page = 1;
                this.xssbsearch();
            }
            if (this.activeName == "second") {
                console.log("ssssssssssssssssssssssssssssssssssssssssssssss");
                console.log(this.checkedXcl);
                this.size = 20;
                this.page = 1;
                this.jqcxsearch();
            }
            if (this.activeName == "third") {
                this.size = 20;
                this.page = 1;
                this.zchsearch();
            }
            if (this.activeName == "fourth") {
                this.size = 20;
                this.page = 1;
                this.zcrsearch();
            }
            if (this.activeName == "five") {
                this.pageChanged(18, 1);
            }

        }
    ,
        intelligentassessClick()
        {
            this.aitmrate = true;
            var self = this;
            if (self.mark == null || self.mark == "") {
                return false;
            }
            for (var i = 1; i < 46; i++) {
                self.ainclonerate = [];
                var obj = {tmName: self.mark, nclonecode: i};
                self.$root.postReq("/web/bytmqueryCtl/aibynclone", obj).then(function (d) {
                    var bradata = {
                        tooltip: {
                            formatter: "{a} <br/>{b} : {c}%"
                        },
                        toolbox: {
                            feature: {
                                restore: {},
                                saveAsImage: {}
                            }
                        },
                        series: [
                            {
                                name: '第' + i + '大类',
                                type: 'gauge',
                                detail: {formatter: '{value}%'},
                                data: [{value: d.data.data.data, name: '通过率'}]
                            }
                        ]
                    };
                    self.ainclonerate.push(bradata);
                });
            }
        }
    ,
        styleset(obj)
        {
            var num = obj;
            if (this.sqlbnumber == num.toString()) {
                return {color: "#108EE9"};
            } else {
                return {color: '#303133', background: "#ffffff"};
            }
        }
    ,
        stylesetflzt(obj)
        {
            var num = obj;
            if (this.flztnumber == num.toString()) {
                return {color: "#108EE9"};
            } else {
                return {color: '#303133', background: "#ffffff"};
            }
        }
    ,
        stylesetsqnf(obj)
        {
            var num = obj;
            if (this.sqnfnumber == num.toString()) {
                return {color: "#108EE9"};
            } else {
                return {color: '#303133', background: "#ffffff"};
            }
        }
    ,
        redissbmc(user)
        {
            this.mark = this.mark.replace(/(^\s*)|(\s*$)/g, "");
            var obj = {
                user: user,
                mark: this.mark
            };
            var that = this;
            this.$root.postReq("/web/bytmqueryCtl/rediscache", obj).then(function (d) {
                console.log("++++++++++++++++++++++++++++++redis+++++++++++++++++++++++++++++++++++++");
                if (d.status == 0) {
                    console.log(d);
                    that.restaurants = d.data.redislist;
                }
            }).catch(function (e) {
                console.log("redis==================================");
                that.$message.warning(`操作失败，请刷新页面后重新操作`);
            });
        }
    ,
        noticecsggClick(row)
        {
            console.log("--------------------------");
            console.log(row);
            var obj = {
                sbzch: row.sbzch,
                csggqh: row.csgg
            };
            var that = this;
            this.$root.postReq("/web/bytmqueryCtl/noticesearch", obj).then(function (d) {
                if (d.status == 0) {
                    console.log(d);
                    that.sbmc = d.data.sbmc;
                    that.linkurl = d.data.linkurl;
                    console.log(this.sbmc);
                    if (that.sbmc != "" && that.linkurl != "") {
                        var localurl = location.href;
                        console.log(localurl);
                        var base = localurl.split("b#");
                        var url = base[0] + "b#/bycnoticedetailtm?name=" + that.sbmc + "&imgurl=" + that.linkurl;
                        console.log(base);
                        console.log(url);
                        window.open(url);
                    }
                }
            });
        }
    ,
        noticezcggClick(row)
        {
            console.log("--------------------------");
            console.log(row);
            var obj = {
                sbzch: row.sbzch,
                zcggqh: row.zcgg
            };
            var that = this;
            this.$root.postReq("/web/bytmqueryCtl/noticezcggsearch", obj).then(function (d) {
                if (d.status == 0) {
                    console.log(d);
                    that.sbmc = d.data.sbmc;
                    that.linkurl = d.data.linkurl;
                    console.log(this.sbmc);
                    if (that.sbmc != "" && that.linkurl != "") {
                        var localurl = location.href;
                        console.log(localurl);
                        var base = localurl.split("b#");
                        var url = base[0] + "b#/bycnoticedetailtm?name=" + that.sbmc + "&imgurl=" + that.linkurl;
                        console.log(base);
                        console.log(url);
                        window.open(url);
                    }
                }
            });
        },
        /*商标详情弹出框*/
        mask(name){
              var obj = {
                  company_name:name
              };
              var that=this;
              const loading = this.$loading({
                       lock: true,
                       text: 'Loading',
                       spinner: 'el-icon-loading',
                       background: 'rgba(0, 0, 0, 0.7)'
                     });
                     console.log(name);
              that.$root.postReq("/web/bytmmonitCtl/getCompanyInfo", obj).then(function (d) {
                  loading.close();
                  console.log("req......................>>>>>>>>>>>>>>>>>>>>");
                  console.log(d);
                  if(d.code==1){
                      that.companyInfo=d.data;
                      that.companyInfo.showName=name;
                      that.showMask=true;
                  }
              }).catch(function (e) {
              });

        },
        maskclose(){
            this.showMask=false;
            this.companyInfo={};
        },
        submitError(e){
          console.log("submitError");
          console.log(e);
        },
        submitSuccess(d,name){
          console.log("submitSuccess");
          console.log(d);
          console.log(name);
          this.imageUrl = d;
          this.tag.name = name;
        }
    },
    mounted:function () {
        var that = this;
        this.$root.postReq("/web/uploadCtl/getOssConfig", "").then(function (d) {
            that.imagedata["key"] = "key";
            that.imagedata["Bucket"] = d.Bucket;
            that.imagedata["OSSAccessKeyId"] = d.OSSAccessKeyId;
            that.imagedata["Signature"] = d.Signature;
            that.imagedata["policy"] = d.policy;
            that.imagedata["success_action_status"] = d.success_action_status;
            that.action = d.url;
        });
        this.headers = [];
        this.headers["商标数据"] = "logo";
        this.headers["商标名称"] = "sbmc";
        this.headers["申请号"] = "sbzch";
        this.headers["国家分类"] = "gjflname";
        this.headers["注册状态"] = "sbzt";
        this.headers["申请日期"] = "sqrq";
        this.headers["初审日期"] = "csrq";
        this.headers["注册日期"] = "zcrq";
        this.headers["申请人"] = "zcr";
        this.headers["申请人地址"] = "zcdz";
        this.headers["代理机构"] = "dljg";
        this.headers["注册群组"] = "sbqz";

        /*this.headers["截止日期"] = "jzrq-undefind";
        this.headers["商品/服务项"] = "spfwxm-unconfirm";
        this.headers["商标流程"] = "zclc-undefined";*/

        for (var key in this.headers) {
            var v = this.headers[key];
            this.allColumns.push(key);
            this.exportColumns.push(key);
        }
        /*this.restaurants = this.loadAll();*/
        var that = this;
        this.$root.postReq("/web/userCtl/loginUser", {}).then(function (d) {
            if (d.status == 0) {
                that.user = d.data;
                console.log("++++++++++++++++++++++++++++++++++++++++++++");
                console.log(that.user);
                if (that.user) {
                    that.redissbmc(that.user);
                }
                /*that.redissbmc(that.user);*/
            }
        }).catch(function (e) {
            console.log("redis==================================");
            that.$message.warning(`操作失败，请刷新页面后重新操作`);
        });


    }
,
    vname:"gsb-bycquerytm"
}
